EmptySerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class EmptySerializer

- java.lang.Object
- - org.apache.cassandra.serializers.EmptySerializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.Void>

      public class EmptySerializer
      extends java.lang.Object
      implements TypeSerializer<java.lang.Void>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EmptySerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.lang.Void>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.lang.Void value)`
    `java.lang.String` | `toString(java.lang.Void value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

      `toCQLLiteral`

- - ### Field Detail

    - #### instance

          public static final EmptySerializer instance

  - ### Constructor Detail

    - #### EmptySerializer

          public EmptySerializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.Void deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.lang.Void>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.lang.Void value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.lang.Void>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.lang.Void>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.lang.Void value)

      Specified by:
        `toString` in interface `TypeSerializer<java.lang.Void>`

    - #### getType

          public java.lang.Class<java.lang.Void> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.lang.Void>`

Copyright © 2018 The Apache Software Foundation